Name:           pax-britannica
Version:        1.0.0
Release:        %mkrel 5
Summary:        Underwater one-button real-time strategy game
Group:          Games/Arcade
License:        MIT
URL:            http://paxbritannica.henk.ca/
# https://github.com/henkboom/pax-britannica commit a7a3c0c
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}.png

# Patches from Debian
Patch1:         compile_for_linux.patch
Patch2:         dont_static_compile.patch
Patch3:         add_manpage.patch
Patch4:         fix_including_extra_loaders.patch
Patch5:         load_resources_from_usr_share.patch
Patch6:         add_desktop_entry.patch
Patch7:         glfw3.patch

BuildRequires:  lua5.1-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(glfw3)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(xrandr)

%description
Pax Britannica is a one-button real-time strategy game by No Fun Games.
Up to four players battle it out underwater, struggling to be the last one
standing!

Each player uses one button to spawn ships that fight automatically using the
latest in artificial aquatelligence technology. Gamepads are also supported.
The player who keeps their factory ship alive wins!

%prep
%autosetup -p1

%build
%set_build_flags
%make_build EXTRA_CFLAGS="$CFLAGS"

%install
install -D -m755 %{name} %{buildroot}%{_gamesbindir}/%{name}
install -D -m644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 %{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6
install -D -m644 %{_sourcedir}/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png

install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a *.lua dokidoki components scripts sprites audio \
    %{buildroot}%{_gamesdatadir}/%{name}/

%files
%doc readme.txt
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.0.0-5.mga8
+ Revision: 1526119
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Apr 26 2019 akien <akien> 1.0.0-4.mga7
+ Revision: 1395369
- Rebuild for glfw 3.3

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1300128
- Mageia 7 Mass Rebuild

* Sun Sep 17 2017 cjw <cjw> 1.0.0-2.mga7
+ Revision: 1154915
- revert pkgconfig(lua) to lua5.1-devel
- pass optflags to make to fix debug packages

* Fri Jan 27 2017 akien <akien> 1.0.0-1.mga6
+ Revision: 1083659
- imported package pax-britannica

